package com.ruoyi.powerdistribution.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 检修计划全流程管理对象 pdm_maintenance_process
 * 
 * @author ruoyi
 * @date 2024-12-05
 */
public class PdmMaintenanceProcess extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 月计划编号 */
    @Excel(name = "月计划编号")
    private String planCode;

    /** 月计划停电设备数 */
    @Excel(name = "月计划停电设备数")
    private Long powerOutageDevices;

    /** 月计划时户数 */
    @Excel(name = "月计划时户数")
    private Long perHourHouseholdsM;

    /** 周计划时户数 */
    @Excel(name = "周计划时户数")
    private Long perHourHouseholdsW;

    /** 所属市公司 */
    @Excel(name = "所属市公司")
    private String city;

    /** 所属县公司 */
    @Excel(name = "所属县公司")
    private String county;

    /** 所属供电所 */
    @Excel(name = "所属供电所")
    private String station;

    /** 线路编号 */
    @Excel(name = "线路编号")
    private String lineCode;

    /** 线路名称 */
    @Excel(name = "线路名称")
    private String lineName;

    /** 人工计划时户数 */
    @Excel(name = "人工计划时户数")
    private Long perHourHouseholdsArtif;

    /** 申报单位 */
    @Excel(name = "申报单位")
    private String declarAgency;

    /** 是否需要上传检修方案0-不需要，1-需要,2-已上传 */
    @Excel(name = "是否需要上传检修方案0-不需要，1-需要,2-已上传")
    private String isMaintenance;

    /** 是否需要审批0-不需要，1-需要，2-已上传 */
    @Excel(name = "是否需要审批0-不需要，1-需要，2-已上传")
    private String isApprove;

    /** 检修方案地址 */
    @Excel(name = "检修方案地址")
    private String maintenanceFilePath;

    /** 审批方案地址 */
    @Excel(name = "审批方案地址")
    private String approveFilePath;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setPlanCode(String planCode) 
    {
        this.planCode = planCode;
    }

    public String getPlanCode() 
    {
        return planCode;
    }
    public void setPowerOutageDevices(Long powerOutageDevices) 
    {
        this.powerOutageDevices = powerOutageDevices;
    }

    public Long getPowerOutageDevices() 
    {
        return powerOutageDevices;
    }
    public void setPerHourHouseholdsM(Long perHourHouseholdsM) 
    {
        this.perHourHouseholdsM = perHourHouseholdsM;
    }

    public Long getPerHourHouseholdsM() 
    {
        return perHourHouseholdsM;
    }
    public void setPerHourHouseholdsW(Long perHourHouseholdsW) 
    {
        this.perHourHouseholdsW = perHourHouseholdsW;
    }

    public Long getPerHourHouseholdsW() 
    {
        return perHourHouseholdsW;
    }
    public void setCity(String city) 
    {
        this.city = city;
    }

    public String getCity() 
    {
        return city;
    }
    public void setCounty(String county) 
    {
        this.county = county;
    }

    public String getCounty() 
    {
        return county;
    }
    public void setStation(String station) 
    {
        this.station = station;
    }

    public String getStation() 
    {
        return station;
    }
    public void setLineCode(String lineCode) 
    {
        this.lineCode = lineCode;
    }

    public String getLineCode() 
    {
        return lineCode;
    }
    public void setLineName(String lineName) 
    {
        this.lineName = lineName;
    }

    public String getLineName() 
    {
        return lineName;
    }
    public void setPerHourHouseholdsArtif(Long perHourHouseholdsArtif) 
    {
        this.perHourHouseholdsArtif = perHourHouseholdsArtif;
    }

    public Long getPerHourHouseholdsArtif() 
    {
        return perHourHouseholdsArtif;
    }
    public void setDeclarAgency(String declarAgency)
    {
        this.declarAgency =
declarAgency;
    }

    public String getDeclarAgency()
    {
        return declarAgency;
    }
    public void setIsMaintenance(String isMaintenance) 
    {
        this.isMaintenance = isMaintenance;
    }

    public String getIsMaintenance() 
    {
        return isMaintenance;
    }
    public void setIsApprove(String isApprove) 
    {
        this.isApprove = isApprove;
    }

    public String getIsApprove() 
    {
        return isApprove;
    }
    public void setMaintenanceFilePath(String maintenanceFilePath) 
    {
        this.maintenanceFilePath = maintenanceFilePath;
    }

    public String getMaintenanceFilePath() 
    {
        return maintenanceFilePath;
    }
    public void setApproveFilePath(String approveFilePath) 
    {
        this.approveFilePath = approveFilePath;
    }

    public String getApproveFilePath() 
    {
        return approveFilePath;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("planCode", getPlanCode())
            .append("powerOutageDevices", getPowerOutageDevices())
            .append("perHourHouseholdsM", getPerHourHouseholdsM())
            .append("perHourHouseholdsW", getPerHourHouseholdsW())
            .append("city", getCity())
            .append("county", getCounty())
            .append("station", getStation())
            .append("lineCode", getLineCode())
            .append("lineName", getLineName())
            .append("perHourHouseholdsArtif", getPerHourHouseholdsArtif())
            .append(" declarAgency", getDeclarAgency())
            .append("isMaintenance", getIsMaintenance())
            .append("isApprove", getIsApprove())
            .append("maintenanceFilePath", getMaintenanceFilePath())
            .append("approveFilePath", getApproveFilePath())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
